Name: nwg-dock-hyprland
Version: 0.3.2
Release: alt2
License: MIT

Summary: GTK3-based dock for Hyprland

Group: Graphical desktop/Other

Url: https://github.com/nwg-piotr/nwg-dock-hyprland

Source: %name-%version.tar
Source1: %name-development-%version.tar

BuildRequires(pre): rpm-macros-golang

BuildRequires: golang
BuildRequires: rpm-build-golang

BuildRequires: pkgconfig(gtk-layer-shell-0)
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gdk-3.0)

%description
Configurable (w/ command line arguments and css) dock, written in Go,
aimed exclusively at the Hyprland Wayland compositor.
It features pinned buttons, client buttons and the launcher button.

%prep
%setup -a1

%build
export GOROOT="%_libexecdir/golang"
%gobuild -mod=vendor

%install
install -Dpm755 %name %buildroot%_bindir/%name

mkdir -p %buildroot%_datadir/%name
cp config/* %buildroot%_datadir/%name

%files
%doc README.md LICENSE
%_bindir/%name
%_datadir/%name/

%changelog
* Thu Jan 23 2025 Kirill Unitsaev <fiersik@altlinux.org> 0.3.2-alt2
- drop manual dependencies
- pack README.md and LICENSE

* Sun Nov 03 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.3.2-alt1
- new version (0.3.2) with rpmgs script

* Fri Oct 18 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.3.1-alt1
- new version 0.3.1 (with rpmrb script)

* Sat Aug 31 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.3.0-alt1
- new version 0.3.0 (with rpmrb script)

* Tue Aug 20 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.2.2-alt1
- new version 0.2.2 (with rpmrb script)

* Mon Aug 12 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.2.1-alt1
- new version (0.2.1)

* Fri Jul 26 2024 Kirill Unitsaev <fiersik@altlinux.org> 0.1.9-alt1
- Initial build
